KBUILDSYCOCA5(8)

NOM
kbuildsycoca5 - Refà el cau de la configuració del sistema per als fitxers d'escriptori al KService

SINOPSI

kbuildsycoca5 [OPCIONS...]

DESCRIPCIÓ

El kbuildsycoca5 construeix el cau binari de les dades emmagatzemades als fitxers .desktop, .xml i tipus MIME que l'entorn de treball KService utilitza per a trobar connectors, aplicacions i altres serveis.

La biblioteca KService empra aquesta base de dades per a proporcionar de manera eficient la informació requerida.

Normalment, els usuaris no necessitaran executar aquesta aplicació directament. El KService l'executarà si cal, cada vegada que algun dels fitxers canviï les dades desades a la memòria cau.

OPCIONS

--global
    Ignora els fitxers definits per l'usuari (a XDG_DATA_HOME). Actualment, això només està suportat en sistemes UNIX®.

--noincremental
    En lloc d'utilitzar la memòria cau existent i només actualitzar la informació que ha canviat o que ha estat afegida, començarà amb una memòria cau buida. S'ignorarà si s'estableix l'opció --global.

--nosignal
    De manera ordinària, el kbuildsycoca5 envia un senyal a través de D-Bus una vegada que la memòria cau s'actualitza per a totes les aplicacions que utilitzen el KService, de manera que sempre estan treballant amb la informació més recent. Aquesta opció suprimeix aquest comportament.

--menutest
    Prova la generació de la base de dades del menú d'aplicacions. En realitat no construeix la memòria cau.

--testmode
    Utilitza el «mode de prova» QStandardPaths per a evitar interferir amb les dades de l'usuari. Això és per a ús amb les proves unitàries.

--track ID-menú
    Segueix un identificador de menú per a la depuració.

--author
    Mostra la informació sobre l'autor.

--license
    Mostra la informació sobre la llicència.

-h, --help
    Mostra un text breu d'ajuda.

-v, --version
    Mostra la informació sobre la versió.

FITXERS

cachedir/ksycoca5_[idioma]_[sha1-dels-dirs]
    La memòria cau del KService generada pel kbuildsycoca5. Sobre els sistemes UNIX®, el directori_cau sol ser XDG_CACHE_HOME.

VEGEU TAMBÉ

kded5(8), kdeinit5(8)

ERRORS

Si us plau, empreu el Seguidor d'errors del KDE[1] (escriviu-hi en anglès) per a informar dels errors.

AUTORS

Lanx, Darian <content@openprojects.net>
    Va escriure la documentació original.

Merry, Alex <alexmerry@kde.org>
    Ha actualitzat la documentació al Frameworks 5 del KDE.

NOTES

1.  Seguidor d'errors del KDE
    https://bugs.kde.org